<div class="container">
    <div class="words-container">
        <button mat-icon-button *ngIf="editMode" (click)="onCheckClick()">
            <mat-icon>{{ category.checked ? 'check_box' : 'check_box_outline_blank'}}</mat-icon>
        </button>
        <span class="name">{{category.name}}</span>
    </div>
    <div class="numbers-container" *ngIf="!editMode">
        <span class="amountBudgetted">{{category.amount_budgetted}}</span>
        <span class="amountAvailable">{{category.amount_available}}</span>
    </div>

</div>
